Subject: Re: [PATCH v4 6/6] common: move alloc macros to common.h

From: Junio C Hamano <[email-masked]>
Date: Fri, 30 Jun 2023 15:49:50 -0700

Calvin Wan <[email-masked]> writes:

> alloc_nr, ALLOC_GROW, and ALLOC_GROW_BY are commonly used macros for
> dynamic array allocation. Moving these macros to git-compat-util.h with
> the other alloc macros focuses alloc.[ch] to allocation for Git objects
> and additionally allows us to remove inclusions to alloc.h from files
> that solely used the above macros.

Is this step mistitled?  There is no "common.h" in this round.

For that matter, when the series makes a big change like this round,
please update the cover letter so that those who are reading it
without having seen the prior rounds can understand what the series
is about.  It will equally help those who have seen prior rounds,
too. what is going on.  E.g. The cover letter of v1 emphasized why
moving many things to common.h was a great thing (and promised to
talk about it more in patch 3), but that focus certainly has shifted
in this iteration that no longer even creates "common.h", right?

Thanks.